from datetime import datetime

__all__ = ['format_url']


def format_url(api_key, latitude, longitude, time=None):
    path = '%.6f,%.6f' % (latitude, longitude)
    if time:
        if isinstance(time, (int, float)):
            path += ',%i' % time
        elif isinstance(time, str):
            path += ',%s' % time
        elif isinstance(time, datetime):
            path += ',%i' % time.timestamp()
        else:
            raise ValueError('cannot handle %s type' % type(time))

    return 'https://api.forecast.io/forecast/%s/%s' % (api_key, path)
